Bug 1473202 - [RFE] [v2v] Propagate virt-v2v error logs to CFME.
[RFE] [v2v] Propagate virt-v2v error logs to CFME.
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 6.0.0
Assigned To: nobody nobody
Ilanit Stein
rhev:v2v
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 04:33 EDT by Ilanit Stein
Modified: 2017-10-16 03:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Feature
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)

  None (edit)
Description Ilanit Stein 2017-07-20 04:33:27 EDT
Description of problem:
As virt-v2v error logs are very detailed and useful, 
it can be very beneficial if those will be propagated to CFME logs/v2v request messages in UI. This way user will easily get the information on what the problem.

For example:
vdsm.log for virt-v2v errors:
"virt-v2v: error: unable to mount the disk image for writing. This has 
probably happened because Windows Hibernation or Fast Restart is being used 
in this guest. You have to disable this (in the guest) in order to use 
virt-v2v."

Version-Release number of selected component (if applicable):
CFME-5.8.1/RHV-4.1.3

Additional info:
This RFE is based on this RHV RFE, that seem to be closed, but never implemented:
Bug 1354176 - [RFE] virt-v2v: Implement virt-v2v error messages in webadmin audit log.
Comment 2 Michal Skrivanek 2017-07-21 01:57:06 EDT
And I would close it for the same reasons as in RHV bug

Note You need to log in before you can comment on or make changes to this bug.